<?php
namespace Claromentis\Core\DataTable;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("na" . "me" => base64_decode("bmFtZQ=" . "="), "_4ccaca2e2" . "404a3eaee3" . "89511430b7" . "a62" => base64_decode("dGVt" . "cGxh" . "dGVf" . "a2V5"), "_ac6e49283fe5" . "c70ee60c8fac3" . "eb36f71" => base64_decode("b3J" . "kZX" . "JhY" . "mxl"), "ke" . "y" => base64_decode("a2V" . "5"));
use Claromentis\Core\DataTable\Contract;






class Column implements \JsonSerializable
{
    const TYPE_LINK = "Link";
    const TYPE_ICON = "Icon";
    const TYPE_LABEL = "Label";
    
    
    
    
    
    protected $key;
    
    
    
    
    
    protected $name;
    
    
    
    
    protected $decorator;
    
    
    
    
    
    protected $orderable;
    
    
    
    
    
    public function __construct($key, $name)
    {
        $this->key = $key;
        $this->name = $name;
        $this->orderable = false;
    }
    
    
    
    
    
    public function SetDecorator(Contract\Decorator $_2e2ee510f512062f96daee84c4e3a0ca)
    {
        $this->decorator = $_2e2ee510f512062f96daee84c4e3a0ca;
    }
    
    
    
    
    
    public function GetDecorator()
    {
        return $this->decorator;
    }
    
    
    
    
    
    public function GetKey()
    {
        return $this->key;
    }
    
    
    
    
    
    public function GetName()
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function SetOrderable($_ac6e49283fe5c70ee60c8fac3eb36f71)
    {
        $this->orderable = $_ac6e49283fe5c70ee60c8fac3eb36f71;
    }
    
    
    
    
    
    public function GetOrderable()
    {
        return $this->orderable;
    }
    
    
    
    
    
    
    
    
    function jsonSerialize()
    {
        $_ed5f03d686c37933b5943f295c6b4a43 = array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["k" . "e" . "y"] => $this->key, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["na" . "me"] => $this->name, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_ac6e49283" . "fe5c70ee60" . "c8fac3eb36" . "f71"] => $this->orderable);
        if ($this->decorator) {
            $_ed5f03d686c37933b5943f295c6b4a43[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4ccaca2e2404a" . "3eaee389511430" . "b7a62"]] = $this->decorator->GetTemplateHash();
        }
        return $_ed5f03d686c37933b5943f295c6b4a43;
    }
}